Cisco Packet Tracer: Hvordan installeres den nyeste version på GNU / Linux?

Cisco Packet Tracer: Hvordan installeres den nyeste version på GNU / Linux?

Cisco Packet Tracer: Hvordan installeres den nyeste version på GNU / Linux?

for Teknologer elskere af Telekommunikationsnetværk og GNU / Linux, der er gode gratis og åbne programmer, såsom GNS3, som tillader simulation (konstruktion, design og test) af et netværk i et virtuelt miljø. Yderligere, GNS3 Det gør det muligt for mange studerende at forberede sig på deres netværksstudier eller fagfolk til let at designe og opbygge et netværk uden behov for specialiseret eller faktisk hardware.

Dog for dem, der normalt ser deres klasser direkte på "Cisco Networking Academy" og de kan også lide GNU / Linux, der er mulighed for at bruge den oprindelige klient af "Cisco Packet Tracer" gratis og åbne operativsystemer.

Pkg2appimage: Hvordan bygger vi vores egne AppImage-filer?

Pkg2appimage: Hvordan bygger vi vores egne AppImage-filer?

Bestemt, meget har ændret sig, siden vi først talte i Blog fra Linux om, hvordan du installerer cisco packet tracer, som anført i den følgende post ved hjælp af en fil "* .bin" af tiden:

relateret artikel:
Installation af Paquet Tracer 5.3.3 på spansk i Ubuntu 13.04 (32 bits)

Og sidste gang vi gjorde det, tilbød vi en alternativ metode for når det er umuligt at installere en bestemt version, som det ses i den følgende post ved hjælp af Pkg2App-billede:

relateret artikel:
Pkg2appimage: Hvordan bygger vi vores egne AppImage-filer?

Derfor forklarer vi i dag den traditionelle metode ved at downloade fil "* .deb" tilgængelig på webstedet for "Cisco Networking Academy".

Hvad er Cisco Packet Tracer?

Cisco Packet Tracer: Netværkssimuleringsværktøj

Hvad er Cisco Packet Tracer?

Ifølge den officielle hjemmeside for "Cisco Networking Academy" dette softwareværktøj er beskrevet som:

"ELLEREn innovativ og kraftfuld netværkssimulator, som du kan bruge til at øve dig i at opbygge dit eget netværk med routere, switche, trådløs teknologi og mere. Det giver dig mulighed for at eksperimentere med netværksadfærd, bygge modeller og spørge dig selv "hvad hvis ...?" At have denne praktiske erfaring med enhedskonfiguration og fejlfinding er et af de vigtige elementer, der kræves i Cisco-certificeringer". Ofte stillede spørgsmål om Packet Tracer

Hvordan installeres Cisco Packet Tracer på GNU / Linux?

Download installationsprogrammet

For at downloade det aktuelle installationsprogram, der er tilgængeligt på webstedet for «Cisco Networking Academy« skal først tilmelde sig det samme om det kursus, der er tilgængeligt for cisco packet tracerved at klikke på den næste link. note: i øjeblikket installatør tilgængelig para Linux i 64 bit er den, der svarer til udgave 7.3.1.

Installationsproces

Efter download af filen fra Installer er i øjeblikket tilgængelig (PacketTracer_731_amd64.deb) Det eneste der mangler er at installere det på en traditionel måde med en pakkehåndtering via terminal eller via grafik.

For vores casestudie gennemføres processen via terminal. Siden kan du nemt installere det og kontrollere mere komfortabelt for installationsfejl, hvis de sker. Før du installerer en pakke, anbefales det at kontrollere, hvilke afhængigheder den anmoder om at installere dem tidligere. I tilfælde af dette udgave 7.3.1 de cisco packet tracer følgende kommando skal udføres for at se dens afhængigheder:

sudo dpkg-deb -I PacketTracer_731_amd64.deb

At give som et resultat, at de nødvendige afhængigheder er:

sudo,dialog,xdg-utils,gtk-update-icon-cache,libgl1-mesa-glx,libpulse0,libnss3,libxss1,libasound2,libxslt1.1,libxkbcommon-x11-0

Derfor skal følgende kommando udføres for at installere det samme

sudo apt install sudo dialog xdg-utils gtk-update-icon-cache libgl1-mesa-glx libpulse0 libnss3 libxss1 libasound2 libxslt1.1 libxkbcommon-x11-0

Hvis alt installeres, skal du fortsætte med at installere pakken PacketTracer_731_amd64.deb med følgende kommando:

sudo dpkg -i PacketTracer_731_amd64.deb

Husk, at når afhængighederne af en pakke "* .deb" downloadet, får du ofte fejl, der normalt løses ved at køre følgende kommandoer:

sudo apt install -f

sudo apt install --fix-broken

I stedet for, hvis du vil installere denne eller andre pakke "* .deb" automatisk løsning af afhængigheder, kør installationen direkte ved hjælp af kommando "apt-get, aptitude eller apt" ved hjælp af "installer" mulighed, som vist i det følgende eksempel med følgende kommandokommando:

sudo apt install ./Descargas/PacketTracer_731_amd64.deb

Cisco Packet Tracer allerede installeret

I mit tilfælde, da jeg ikke fik nogen fejlmeddelelser, fortsatte jeg bare med at køre min cisco packet tracer allerede installeret på udkig efter det i applikationsmenu, opnår som et resultat den perfekte udførelse af det. Som det ses på billedet ovenfor.

Endelig skal du sørge for at besøge webstedet for det gratis og åbne alternativ til cisco packet tracer ringe GNS3. Og hvis du kan, skal du bruge det.

Generisk billede til artikelkonklusioner

Konklusion

Vi håber det "nyttigt lille indlæg" om «Cisco Packet Tracer», som er et kraftfuldt netværkssimuleringsværktøj designet af det berømte firma «Cisco», og leveres gennem sin berømte Cisco Networking Academy under sit globale uddannelsesprogram i Cybersikkerhed og IT, være af stor interesse og nytte for hele det «Comunidad de Software Libre y Código Abierto» og med stort bidrag til udbredelsen af ​​det vidunderlige, gigantiske og voksende økosystem af applikationer af «GNU/Linux».

Og for mere information, tøv ikke altid med at besøge nogen Online bibliotek som OpenLibra y jedit at læse bøger (PDF-filer) om dette emne eller andre videnområder. For nu, hvis du kunne lide dette «publicación», stop ikke med at dele det med andre, i din Favoritwebsteder, kanaler, grupper eller samfund af sociale netværk, helst gratis og åbent som Mastodon, eller sikker og privat lignende Telegram.

Eller besøg blot vores hjemmeside på Fra Linux eller tilmeld dig den officielle kanal Telegram fra FromLinux at læse og stemme på denne eller andre interessante publikationer om «Software Libre», «Código Abierto», «GNU/Linux» og andre emner relateret til «Informática y la Computación»Og «Actualidad tecnológica».


Indholdet af artiklen overholder vores principper for redaktionel etik. Klik på for at rapportere en fejl her.

11 kommentarer, lad dine

Efterlad din kommentar

Din e-mailadresse vil ikke blive offentliggjort.

*

*

  1. Ansvarlig for dataene: Miguel Ángel Gatón
  2. Formålet med dataene: Control SPAM, management af kommentarer.
  3. Legitimering: Dit samtykke
  4. Kommunikation af dataene: Dataene vil ikke blive kommunikeret til tredjemand, undtagen ved juridisk forpligtelse.
  5. Datalagring: Database hostet af Occentus Networks (EU)
  6. Rettigheder: Du kan til enhver tid begrænse, gendanne og slette dine oplysninger.

  1.   MARIA BRIÓN sagde han

    Tak skal du have! Det fungerer perfekt.
    Hvad angår GNS3, som jeg ikke vidste, ser det meget godt ud. Jeg vil prøve det.

    1.    Linux Post Installation sagde han

      Hilsen, Maria. Tak fordi du skrev til os. Jeg er meget glad for, at indholdet har været nyttigt for dig.

  2.   Rodrigo street sagde han

    Meget taknemmelig for den delte, det fungerer perfekt

    1.    Linux Post Installation sagde han

      Hilsen, Rodrigo. Vi er glade for, at vejledningen fungerede perfekt for dig.

  3.   C4in sagde han

    Hvis installationen med .deb ikke fungerer, gemmer denne metode dig, og jeg bekræfter, at den fungerer.

  4.   Atlas sagde han

    Hilsen tak for bidraget, jeg har fulgt trinene for at se afhængigheder og installere, men læsningen indikerer, at jeg har afhængighederne i deres seneste versioner, så prøver jeg at installere, og det kaster en fejl, jeg bruger ubuntu 20lts og packettrancer 8 fejlen, der kaster, er som følger:

    Konfiguration af packettracer (8.0.1) ...
    gtk-update-icon-cache: Ingen temaindeksfil.
    Behandler udløsere til mime-support (3.64ubuntu1) ...
    Behandlingsudløsere til gnome-menuer (3.36.0-1ubuntu1) ...
    Behandler udløsere til delt-mime-info (1.15-1) ...
    Behandlingsudløsere til desktop-fil-værktøjer (0.24-1ubuntu3) ...
    W: Depot er ødelagt: packettracer: amd64 (= 8.0.1) har ingen størrelsesoplysninger

    1.    Linux Post Installation sagde han

      Hilsen, prøv at oprette AppImage af Cisco Packet Tracer fra en anden GNU / Linux, der har bibliotekerne eller ikke, da der er oprettet en konflikt mellem AppImage. Efter det, med AppImage allerede oprettet, skal du installere det på GNU / Linux Distro, hvor du har brug for det. Det vil helt sikkert installere uden problemer. Og du fortæller os senere, hvordan gik det?

  5.   @redcameleon sagde han

    Tak for info. Jeg har lige installeret det uden problemer på Debian 11
    vi vil teste det for at se, hvad det er ... Jeg bruger allerede GNS3, men i løbet af cisco -test!
    tak

    1.    Linux Post Installation sagde han

      Hilsen, Redchameleon. Tak for din kommentar. Og jeg håber, det er meget nyttigt for dig nu at bruge Cisco Packet Tracer på GNU / Linux.

  6.   VARP sagde han

    Det virker ikke for en skide mor

    1.    Linux Post Installation sagde han

      Hilsen VARP. På det tidspunkt med Debian 10 fungerede det ikke kun for mig, men for andre. Vi vil tjekke det med Debian 11 for at se, om indlægget skal opdateres.